<?php
class codigo extends TRecord
{
    const TABLENAME = 'tbl_codigo';
    const PRIMARYKEY= 'id';
    const IDPOLICY =  'max'; // {max, serial}

    use SystemChangeLogTrait;

    public function __construct($id = NULL)
    {
        parent::__construct($id);
        parent::addAttribute('codigo');
        parent::addAttribute('descricao');
        parent::addAttribute('validacliente');
    }
}
?>